Bug 620325 - Pure virtual in gui::QSTreeItem::itemtype()
Pure virtual in gui::QSTreeItem::itemtype()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pdfedit (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
abrt_hash:7b09201d58dc5dd6a401898391e...
:
: 643335 662553 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-02 04:11 EDT by Foxcool
Modified: 2011-06-29 08:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 08:39:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (96.10 KB, text/plain)
2010-08-02 04:11 EDT, Foxcool
no flags Details
New attach with updated debuginfos (74.11 KB, text/plain)
2010-08-16 23:16 EDT, Foxcool
no flags Details

  None (edit)
Description Foxcool 2010-08-02 04:11:50 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/pdfedit '/home/Foxcool/Work/\xd0\x94\xd0\xbe\xd0\xba\xd1\x83\xd0\xbc\xd0\xb5\xd0\xbd\xd1\x82\xd1\x8b/\xd0\x98\xd1\x8e\xd0\xbb\xd1\x8c 2010/\xd0\x97\xd0\xb0\xd1\x8f\xd0\xb2\xd0\xba\xd0\xb8/29.07.10 500 \xd1\x8d\xd0\xbb.\xd0\xbc\xd0\xbe\xd0\xbd.pdf'
component: pdfedit
crash_function: raise
executable: /usr/bin/pdfedit
global_uuid: 7b09201d58dc5dd6a401898391ecd1479d766838
kernel: 2.6.33.6-147.fc13.i686
package: pdfedit-0.4.5-1.fc13
rating: 4
reason: Process /usr/bin/pdfedit was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)
Comment 1 Foxcool 2010-08-02 04:11:58 EDT
Created attachment 435962 [details]
File: backtrace
Comment 2 Orion Poplawski 2010-08-13 17:43:01 EDT
#6  0x00207e56 in __cxxabiv1::__cxa_pure_virtual ()
    at ../../../../libstdc++-v3/libsupc++/pure.cc:50
No locals.
#7  0x080c9360 in gui::QSTreeItem::itemtype() ()
No symbol table info available.
#8  0x0814f087 in gui::QSTreeItem::qt_invoke(int, QUObject*) ()
No symbol table info available.
Comment 3 Orion Poplawski 2010-08-13 17:44:51 EDT
Going to need debug info installed.  

debuginfo-install pdfedit

Can this be reproduced?
Comment 4 Foxcool 2010-08-16 23:16:41 EDT
Created attachment 439053 [details]
New attach with updated debuginfos

Crash with debuginfo/
Comment 5 Orion Poplawski 2010-08-17 16:16:25 EDT
Still seems like you are missing the qt-debuginfo package.  Might be useful.
Comment 6 Foxcool 2010-08-18 10:10:19 EDT
Package 1:qt-debuginfo-4.6.3-8.fc13.i686 already installed and latest version
Comment 7 Orion Poplawski 2010-08-18 10:18:19 EDT
Hmm, wonder where 

#7  0x080c9360 in gui::QSTreeItem::itemtype() ()
No symbol table info available.

comes from then.

What are the steps to reproduce?

upstream would like to move the discussion to http://pdfedit.petricek.net/bt/main_page.php
Comment 8 Foxcool 2010-08-18 11:15:48 EDT
Probably, russian encoding is a reason of this crash. I open file and mark section with text several times.
Sorry. Bad english.
Comment 9 Orion Poplawski 2010-10-26 12:00:17 EDT
*** Bug 643335 has been marked as a duplicate of this bug. ***
Comment 10 Carlos Díaz 2010-11-03 08:05:41 EDT
Package: pdfedit-0.4.5-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Just close it after open, but not edit at all, a pdf document.
3.
Comment 11 Orion Poplawski 2010-11-03 11:49:26 EDT
I can't reproduce on F13 or F14 with a couple different pdfs just opening and closing.
Comment 12 Orion Poplawski 2010-12-13 10:43:30 EST
*** Bug 662553 has been marked as a duplicate of this bug. ***
Comment 13 Orion Poplawski 2010-12-13 10:44:59 EST
Note that the upstream gui is basically dead and waiting for a rewrite.  Bugs in it are unlikely to get fixed until it is rewritten.  Sorry.
Comment 14 Bug Zapper 2011-06-01 08:18:06 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2011-06-29 08:39:48 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.